Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlUnsignedByte

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInteger, XmlNonNegativeInteger, XmlObject, XmlTokenSource, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

public interface XmlUnsignedByte
extends XmlUnsignedShort

Corresponds to the XML Schema xs:unsignedByte type. One of the derived types based on xs:decimal.

Verified to be in the range 0..255 when validating.

As suggested by JAXB, convertible to Java short.

Nested Class Summary
`static class` | `XmlUnsignedByte.Factory` A class with methods for creating instances of `XmlUnsignedByte`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`short` | `getShortValue()` Returns this value as a short
`void` | `set(short s)` Deprecated. replaced with `setShortValue(short)`
`void` | `setShortValue(short s)` Sets this value as a short
`short` | `shortValue()` Deprecated. replaced with `getShortValue()`

Methods inherited from interface org.apache.xmlbeans.XmlUnsignedShort
`getIntValue, intValue, set, setIntValue`

Methods inherited from interface org.apache.xmlbeans.XmlUnsignedInt
`getLongValue, longValue, set, setLongValue`

Methods inherited from interface org.apache.xmlbeans.XmlInteger
`bigIntegerValue, getBigIntegerValue, set, setBigIntegerValue`

Methods inherited from interface org.apache.xmlbeans.XmlDecimal
`bigDecimalValue, getBigDecimalValue, set, setBigDecimalValue`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getShortValue

    public short getShortValue()

  Returns this value as a short

### setShortValue

    public void setShortValue(short s)

  Sets this value as a short

### shortValue

    public short shortValue()

  Deprecated. replaced with `getShortValue()`

  Returns this value as a short

### set

    public void set(short s)

  Deprecated. replaced with `setShortValue(short)`

  Sets this value as a short

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD